Archive for the ‘Compass’ Category

images

先日、rubyのCSSメタ言語であるsass-compassをインストールしようとしたところ、以下のエラーが発生

sudo gem install compass 
/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError)

ちょっと調べて見ると、どうやらこれはrubyの開発環境が入ってないから発生しているということで

sudo apt-get install ruby1.9.1-dev

として環境を入れてやった結果インストールに成功しました。

ちなみに、Linuxmintのソフトウェアの管理の中でcompassと探すと ruby-compass が見つかりインストールはできるのですが
なんだか挙動がおかしいというかwatchが上手く動いてくれませんでした。
これもひょっとしたら開発環境がなかったためかもしれませんね。

ちなみに、gemによって無事インストールできたcompassは

/usr/local/bin/compass にインストールされていました。
パスが通ってない人も多いと思うので注意してください。

こちらのサイトを参考にさせてもらいました。
RubyGemsでinstallコマンドをたたくとエラーが出る→rbenvの問題だった – Laboratory of Scarlet